%define	name	usb-relay-hid
%define	version	1.4
%define	release	0pe4
%define	prefix	/usr
%define git_url https://github.com/pavel-a/usb-relay-hid

Summary:	USB relay command line tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
License:	GPL
Group:		Applications/Multimedia
URL:		%{git_url}
Vendor:		V-USB
Source:		%{name}.tar.gz
BuildRoot:	%{_tmppath}/%{name}
BuildRequires:  libusb-devel > 0.1.0, git

%description
goal of this project is providing open-source API for several USB HID relay models
sold on eBay (search for "USB Relay Programmable Computer Control For Smart Home").
They sell one, two, eight-channel models; there possibly are also four-channel
models. The device has a status LEDs for each relay, and state of the relays can be
read back. These relays currently have only the API for Windows, only in binary DLL
form. We've discovered the HID commands for the relay and provide source for the
Windows DLL, and source for libusb (Linux and whatever else).

%prep
[ -d %{name} ] && rm -rf %{name}
git clone %{git_url}
%setup -D -T -n %{name}

%install
pwd
cd commandline/makemake/
make all
mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin
cp hidusb-relay-cmd $RPM_BUILD_ROOT%{prefix}/bin

%clean

%files
%defattr(-,root,root)
%doc README.md doc
%{prefix}/bin/*

%changelog
* Sat Apr 20 2019 yoshinobu syouzi <yoshino@rita.karing.jp>
  first packaged for private use.
